Arch::Test::Cases(3pm)

NAME
Arch::Test::Cases - A test framework for Arch-Perl

SYNOPSIS
    use Arch::Test::Framework;

    my $fw = Arch::Test::Framework->new;
    my $ver = $fw->make_version;

    my $tree = Arch::Test::Cases::generate_complex_tree($fw, $ver);

DESCRIPTION
Arch::Test::Tree provides methods to quickly build and modify Arch project trees within the Arch::Test framework.

METHODS
generate_empty_tree, generate_trivial_tree, generate_simple_tree, generate_complex_tree.

generate_empty_tree framework version [name]
    Create a new project tree for version. Equivalent to

      $framework->make_tree($version, $name);

generate_tivial_tree framework version [name]
    Create a new project tree for version with basic files.

generate_simple_tree framework version [name]
    Create a new project tree for version with basic and source files.

generate_complex_tree framework version [name]
    Create a new project tree for version with basic and source files and a bit of clutter.

AUTHORS
Mikhael Goikhman (migo@homemail.com--Perl-GPL/arch-perl--devel).

Enno Cramer (uebergeek@web.de--2003/arch-perl--devel).